Package csb :: Package bio :: Package io :: Module fasta :: Class PDBSequenceParser

[frames] | no frames]

# Class PDBSequenceParser

source code

            object --+
                     |
    BaseSequenceParser --+
                         |
            SequenceParser --+
                             |
                            PDBSequenceParser

PDB FASTA parser. Reads the PDB ID and sequence type from the header. See BaseSequenceParser for more details.

Nested Classes
Inherited from `BaseSequenceParser`: `__metaclass__`

Instance Methods

AbstractSequence

read_sequence(self, string) Parse a single FASTA string | source code

Inherited from `BaseSequenceParser`: `__init__`, `parse_file`, `parse_string`, `read` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `SequenceParser`: `__abstractmethods__`

Properties
Inherited from `BaseSequenceParser`: `product_factory`, `product_type` Inherited from `object`: `__class__`

Method Details

### read_sequence(self, string)

source code

Parse a single FASTA string

Returns: AbstractSequence
  a new sequence, created with BaseSequenceParser.product_factory
Raises:
  - `SequenceFormatError` - on parse error
Overrides: BaseSequenceParser.read_sequence
  (inherited documentation)